#include <Python.h>

void play(void)
{
	char pycode[] =	"from base64 import b64decode\nexec(b64decode('"
			"ZnJvbSByYW5kb20gaW1wb3J0IHJhbmRpbnQKZnJvbSBvcyBpbXBvcnQgc3lzdGVtCmNvbW1hbmQgPSAnUklHSFQnCnNjb3JlID0gMApzb"
			"mFrZSA9IFtbNCwxMF0sIFs0LDldLCBbNCw4XV0gCmZvb2QgPSBbMTAsMjBdCnByaW50KCJGT09EOiB4PSVkIHk9JWQiICUgKGZvb2RbMF0"
			"sIGZvb2RbMV0pKQpwcmludCgiU05BS0U6IHg9JWQgeT0lZCIgJSAoc25ha2VbMF1bMF0sIHNuYWtlWzBdWzFdKSkKd2hpbGUgMSA9PSAxO"
			"gogICAgcHJldmNvbW1hbmQgPSBjb21tYW5kCiAgICBjb21tYW5kID0gaW5wdXQoIkNPTU1BTkQ6ICIpCiAgICBpZiBjb21tYW5kID09ICd"
			"CUkVBSyc6CiAgICAgICAgYnJlYWsKICAgIGlmIGNvbW1hbmQgbm90IGluIFsnTEVGVCcsICdSSUdIVCcsICdVUCcsICdET1dOJ106CiAgI"
			"CAgICAgY29tbWFuZCA9IHByZXZjb21tYW5kCiAgICBzbmFrZS5pbnNlcnQoMCwgW3NuYWtlWzBdWzBdICsgKGNvbW1hbmQgPT0gJ0RPV04"
			"nIGFuZCAxKSArIChjb21tYW5kID09ICdVUCcgYW5kIC0xKSwgc25ha2VbMF1bMV0gKyAoY29tbWFuZCA9PSAnTEVGVCcgYW5kIC0xKSArI"
			"Chjb21tYW5kID09ICdSSUdIVCcgYW5kIDEpXSkKICAgIGlmIHNuYWtlWzBdWzBdID09IDA6IHNuYWtlWzBdWzBdID0gMTgKICAgIGlmIHN"
			"uYWtlWzBdWzFdID09IDA6IHNuYWtlWzBdWzFdID0gNTgKICAgIGlmIHNuYWtlWzBdWzBdID09IDE5OiBzbmFrZVswXVswXSA9IDEKICAgI"
			"GlmIHNuYWtlWzBdWzFdID09IDU5OiBzbmFrZVswXVsxXSA9IDEKICAgIGlmIHNuYWtlWzBdIGluIHNuYWtlWzE6XTogYnJlYWsKICAgIGl"
			"mIHNuYWtlWzBdID09IGZvb2Q6CiAgICAgICAgZm9vZCA9IFtdCiAgICAgICAgc2NvcmUgKz0gMQogICAgICAgIHdoaWxlIGZvb2QgPT0gW"
			"106CiAgICAgICAgICAgICBmb29kID0gW3JhbmRpbnQoMSwgMTgpLCByYW5kaW50KDEsIDU4KV0KICAgICAgICAgICAgIGlmIGZvb2QgaW4"
			"gc25ha2U6Zm9vZCA9IFtdCiAgICAJcHJpbnQoIkZPT0Q6IHg9JWQgeT0lZCIgJSAoZm9vZFswXSwgZm9vZFsxXSkpCiAgICBlbHNlOgogI"
			"CAgICAgIGxhc3QgPSBzbmFrZS5wb3AoKQogICAgcHJpbnQoIlNOQUtFOiB4PSVkIHk9JWQiICUgKHNuYWtlWzBdWzBdLCBzbmFrZVswXVs"
			"xXSkpCnByaW50KCJTQ09SRTogJWQiICUgc2NvcmUpCmlmIHNjb3JlID4gMjc6CiAgICBzeXN0ZW0oImNhdCAuL2ZsYWdzL2ZsYWcqIikK'))";
	Py_Initialize();
	PyRun_SimpleString(pycode);
	Py_Finalize();
}
